import tkinter as tk

def recupere_valeur():
    valeur_saisie = entree.get()
    try:
        nombre_entier = int(valeur_saisie)
        print("Nombre entier saisi :", nombre_entier)
        # Vous pouvez utiliser 'nombre_entier' comme vous le souhaitez ici
    except ValueError:
        # Afficher un message d'erreur dans le label
        message_label.config(text="Veuillez saisir un nombre entier valide.")

fenetre = tk.Tk()
fenetre.title("Exemple de zone de saisie")

# Créer la zone de saisie
entree = tk.Entry(fenetre)
entree.pack(pady=10)

# Créer un bouton pour récupérer la valeur
bouton = tk.Button(fenetre, text="Récupérer la valeur", command=recupere_valeur)
bouton.pack()

# Créer un label pour afficher les messages
message_label = tk.Label(fenetre, text="Entrez un nombre entier.")
message_label.pack()

fenetre.mainloop()